## org.eclipse.datatools.enablement.sybase.ui
Class VirtualNodeAdapterFactory

    java.lang.Object
      org.eclipse.datatools.enablement.sybase.ui.VirtualNodeAdapterFactory

All Implemented Interfaces:
  org.eclipse.core.runtime.IAdapterFactory

    public class VirtualNodeAdapterFactory

extends java.lang.Object
implements org.eclipse.core.runtime.IAdapterFactory

Constructor Summary
`VirtualNodeAdapterFactory()`

Method Summary
`java.lang.Object` `getAdapter(java.lang.Object adaptableObject, java.lang.Class adapterType)`
`java.lang.Class[]` `getAdapterList()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VirtualNodeAdapterFactory

    public VirtualNodeAdapterFactory()

Method Detail

### getAdapter

    public java.lang.Object getAdapter(java.lang.Object adaptableObject,
                                       java.lang.Class adapterType)

  Specified by:
    `getAdapter` in interface `org.eclipse.core.runtime.IAdapterFactory`

### getAdapterList

    public java.lang.Class[] getAdapterList()

  Specified by:
    `getAdapterList` in interface `org.eclipse.core.runtime.IAdapterFactory`